`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////
module alu1bit(op, Ain, Bin, CarryIn, ResultOut, CarryOut);
	input [2:0] op;
	input Ain, Bin, CarryIn;
	output ResultOut, CarryOut;
	
	wire AandB, BorA, Bxorop2, Sum;
	
	assign AandB = Ain & Bin;
	assign BorA = Ain|Bin;
	assign Bxorop2 = Bin^op[2];
	
// op[2] represents CarryIn = 0	
// module MUX4to1(SEL, A,B,C,D, MUX_OUT);
	MUX4to1 MUX0 (op[1:0], AandB, BorA, Bxorop2, Sum, ResultOut);

// module dac_add1bit(Ain, Bin, Cin, Sum, CarryOut);
	add1bit BITADDER0 (Ain, Bxorop2, CarryIn, Sum, CarryOut);
	
endmodule
