////////////////////////////////////////////////////////////////////////////////
// Module name: ROM2k8bit_40x30box.v
// from audioROM2k8bit_Sine.v (audioROM2k8bit.v)
// from and like font_rom5.v
//
// ROM with synchonous read (inferring Block RAM)
// contains translated data from digital scope capture (or other source)
// Translated by Matlab script translate_40x30_file_to_1x512_file.m
//  - ROM size: 2048-by-8 (2^11-by-8) bits
//
// [must use a clock for more effective use of FPGA resources]
//
// Rev 30 October 2010
// Rev 03 Nov 2010 renamed as audioROM2k8bit_Sine.v
// Rev 07 Dec 2010 renamed ROM2k8bit_40x30box.v.  This does reduce block ram requirement
////////////////////////////////////////////////////////////////////////////////
module ROM2k8bit_40x30box (clk, address, boxes_on, data, rgb8);
   input          clk;
   input   [10:0] address;
   output         boxes_on;
   output   [7:0] data;
   output   [7:0] rgb8;

   reg      [7:0] data;

   assign rgb8 = {data[2],data[2],data[2], data[1],data[1],data[1], data[0],data[0]};
   assign boxes_on = (data != 8'h00);

	always @(posedge clk)
	case (address)
// insert addr_reg and data values after this line
	11'h000: data = 8'h00;
	11'h001: data = 8'h00;
	11'h002: data = 8'h00;
	11'h003: data = 8'h00;
	11'h004: data = 8'h00;
	11'h005: data = 8'h00;
	11'h006: data = 8'h00;
	11'h007: data = 8'h00;
	11'h008: data = 8'h00;
	11'h009: data = 8'h00;
	11'h00a: data = 8'h00;
	11'h00b: data = 8'h00;
	11'h00c: data = 8'h00;
	11'h00d: data = 8'h00;
	11'h00e: data = 8'h00;
	11'h00f: data = 8'h00;
	11'h010: data = 8'h00;
	11'h011: data = 8'h00;
	11'h012: data = 8'h00;
	11'h013: data = 8'h00;
	11'h014: data = 8'h00;
	11'h015: data = 8'h00;
	11'h016: data = 8'h00;
	11'h017: data = 8'h00;
	11'h018: data = 8'h00;
	11'h019: data = 8'h00;
	11'h01a: data = 8'h00;
	11'h01b: data = 8'h00;
	11'h01c: data = 8'h00;
	11'h01d: data = 8'h00;
	11'h01e: data = 8'h00;
	11'h01f: data = 8'h00;
	11'h020: data = 8'h00;
	11'h021: data = 8'h00;
	11'h022: data = 8'h00;
	11'h023: data = 8'h00;
	11'h024: data = 8'h00;
	11'h025: data = 8'h00;
	11'h026: data = 8'h00;
	11'h027: data = 8'h00;
	11'h040: data = 8'h00;
	11'h041: data = 8'h00;
	11'h042: data = 8'h00;
	11'h043: data = 8'h00;
	11'h044: data = 8'h00;
	11'h045: data = 8'h00;
	11'h046: data = 8'h00;
	11'h047: data = 8'h00;
	11'h048: data = 8'h00;
	11'h049: data = 8'h00;
	11'h04a: data = 8'h00;
	11'h04b: data = 8'h00;
	11'h04c: data = 8'h00;
	11'h04d: data = 8'h00;
	11'h04e: data = 8'h00;
	11'h04f: data = 8'h00;
	11'h050: data = 8'h00;
	11'h051: data = 8'h00;
	11'h052: data = 8'h00;
	11'h053: data = 8'h00;
	11'h054: data = 8'h00;
	11'h055: data = 8'h00;
	11'h056: data = 8'h00;
	11'h057: data = 8'h00;
	11'h058: data = 8'h00;
	11'h059: data = 8'h00;
	11'h05a: data = 8'h00;
	11'h05b: data = 8'h00;
	11'h05c: data = 8'h00;
	11'h05d: data = 8'h00;
	11'h05e: data = 8'h00;
	11'h05f: data = 8'h00;
	11'h060: data = 8'h00;
	11'h061: data = 8'h00;
	11'h062: data = 8'h00;
	11'h063: data = 8'h00;
	11'h064: data = 8'h00;
	11'h065: data = 8'h00;
	11'h066: data = 8'h00;
	11'h067: data = 8'h00;
	11'h080: data = 8'h00;
	11'h081: data = 8'h00;
	11'h082: data = 8'h00;
	11'h083: data = 8'h00;
	11'h084: data = 8'h00;
	11'h085: data = 8'h00;
	11'h086: data = 8'h00;
	11'h087: data = 8'h00;
	11'h088: data = 8'h03;
	11'h089: data = 8'h03;
	11'h08a: data = 8'h03;
	11'h08b: data = 8'h03;
	11'h08c: data = 8'h00;
	11'h08d: data = 8'h00;
	11'h08e: data = 8'h00;
	11'h08f: data = 8'h00;
	11'h090: data = 8'h00;
	11'h091: data = 8'h00;
	11'h092: data = 8'h00;
	11'h093: data = 8'h00;
	11'h094: data = 8'h00;
	11'h095: data = 8'h00;
	11'h096: data = 8'h00;
	11'h097: data = 8'h00;
	11'h098: data = 8'h00;
	11'h099: data = 8'h00;
	11'h09a: data = 8'h00;
	11'h09b: data = 8'h00;
	11'h09c: data = 8'h00;
	11'h09d: data = 8'h00;
	11'h09e: data = 8'h00;
	11'h09f: data = 8'h00;
	11'h0a0: data = 8'h00;
	11'h0a1: data = 8'h00;
	11'h0a2: data = 8'h00;
	11'h0a3: data = 8'h00;
	11'h0a4: data = 8'h00;
	11'h0a5: data = 8'h00;
	11'h0a6: data = 8'h00;
	11'h0a7: data = 8'h00;
	11'h0c0: data = 8'h00;
	11'h0c1: data = 8'h00;
	11'h0c2: data = 8'h00;
	11'h0c3: data = 8'h00;
	11'h0c4: data = 8'h00;
	11'h0c5: data = 8'h00;
	11'h0c6: data = 8'h00;
	11'h0c7: data = 8'h00;
	11'h0c8: data = 8'h03;
	11'h0c9: data = 8'h03;
	11'h0ca: data = 8'h03;
	11'h0cb: data = 8'h03;
	11'h0cc: data = 8'h00;
	11'h0cd: data = 8'h00;
	11'h0ce: data = 8'h00;
	11'h0cf: data = 8'h00;
	11'h0d0: data = 8'h00;
	11'h0d1: data = 8'h00;
	11'h0d2: data = 8'h00;
	11'h0d3: data = 8'h00;
	11'h0d4: data = 8'h00;
	11'h0d5: data = 8'h00;
	11'h0d6: data = 8'h00;
	11'h0d7: data = 8'h00;
	11'h0d8: data = 8'h00;
	11'h0d9: data = 8'h00;
	11'h0da: data = 8'h00;
	11'h0db: data = 8'h00;
	11'h0dc: data = 8'h00;
	11'h0dd: data = 8'h00;
	11'h0de: data = 8'h00;
	11'h0df: data = 8'h00;
	11'h0e0: data = 8'h00;
	11'h0e1: data = 8'h00;
	11'h0e2: data = 8'h00;
	11'h0e3: data = 8'h00;
	11'h0e4: data = 8'h00;
	11'h0e5: data = 8'h00;
	11'h0e6: data = 8'h00;
	11'h0e7: data = 8'h00;
	11'h100: data = 8'h00;
	11'h101: data = 8'h00;
	11'h102: data = 8'h00;
	11'h103: data = 8'h00;
	11'h104: data = 8'h00;
	11'h105: data = 8'h00;
	11'h106: data = 8'h00;
	11'h107: data = 8'h00;
	11'h108: data = 8'h03;
	11'h109: data = 8'h03;
	11'h10a: data = 8'h03;
	11'h10b: data = 8'h03;
	11'h10c: data = 8'h00;
	11'h10d: data = 8'h00;
	11'h10e: data = 8'h00;
	11'h10f: data = 8'h00;
	11'h110: data = 8'h00;
	11'h111: data = 8'h00;
	11'h112: data = 8'h00;
	11'h113: data = 8'h00;
	11'h114: data = 8'h00;
	11'h115: data = 8'h00;
	11'h116: data = 8'h00;
	11'h117: data = 8'h00;
	11'h118: data = 8'h00;
	11'h119: data = 8'h00;
	11'h11a: data = 8'h00;
	11'h11b: data = 8'h00;
	11'h11c: data = 8'h00;
	11'h11d: data = 8'h00;
	11'h11e: data = 8'h00;
	11'h11f: data = 8'h00;
	11'h120: data = 8'h00;
	11'h121: data = 8'h00;
	11'h122: data = 8'h00;
	11'h123: data = 8'h00;
	11'h124: data = 8'h00;
	11'h125: data = 8'h00;
	11'h126: data = 8'h00;
	11'h127: data = 8'h00;
	11'h140: data = 8'h00;
	11'h141: data = 8'h00;
	11'h142: data = 8'h00;
	11'h143: data = 8'h00;
	11'h144: data = 8'h00;
	11'h145: data = 8'h00;
	11'h146: data = 8'h00;
	11'h147: data = 8'h00;
	11'h148: data = 8'h03;
	11'h149: data = 8'h03;
	11'h14a: data = 8'h03;
	11'h14b: data = 8'h03;
	11'h14c: data = 8'h00;
	11'h14d: data = 8'h00;
	11'h14e: data = 8'h00;
	11'h14f: data = 8'h00;
	11'h150: data = 8'h00;
	11'h151: data = 8'h00;
	11'h152: data = 8'h00;
	11'h153: data = 8'h00;
	11'h154: data = 8'h00;
	11'h155: data = 8'h00;
	11'h156: data = 8'h00;
	11'h157: data = 8'h00;
	11'h158: data = 8'h00;
	11'h159: data = 8'h00;
	11'h15a: data = 8'h00;
	11'h15b: data = 8'h00;
	11'h15c: data = 8'h00;
	11'h15d: data = 8'h00;
	11'h15e: data = 8'h00;
	11'h15f: data = 8'h00;
	11'h160: data = 8'h00;
	11'h161: data = 8'h00;
	11'h162: data = 8'h00;
	11'h163: data = 8'h00;
	11'h164: data = 8'h00;
	11'h165: data = 8'h00;
	11'h166: data = 8'h00;
	11'h167: data = 8'h00;
	11'h180: data = 8'h00;
	11'h181: data = 8'h00;
	11'h182: data = 8'h00;
	11'h183: data = 8'h00;
	11'h184: data = 8'h00;
	11'h185: data = 8'h00;
	11'h186: data = 8'h00;
	11'h187: data = 8'h00;
	11'h188: data = 8'h03;
	11'h189: data = 8'h03;
	11'h18a: data = 8'h03;
	11'h18b: data = 8'h03;
	11'h18c: data = 8'h00;
	11'h18d: data = 8'h00;
	11'h18e: data = 8'h00;
	11'h18f: data = 8'h00;
	11'h190: data = 8'h00;
	11'h191: data = 8'h00;
	11'h192: data = 8'h00;
	11'h193: data = 8'h00;
	11'h194: data = 8'h00;
	11'h195: data = 8'h00;
	11'h196: data = 8'h00;
	11'h197: data = 8'h00;
	11'h198: data = 8'h00;
	11'h199: data = 8'h00;
	11'h19a: data = 8'h00;
	11'h19b: data = 8'h00;
	11'h19c: data = 8'h00;
	11'h19d: data = 8'h00;
	11'h19e: data = 8'h00;
	11'h19f: data = 8'h00;
	11'h1a0: data = 8'h00;
	11'h1a1: data = 8'h00;
	11'h1a2: data = 8'h00;
	11'h1a3: data = 8'h00;
	11'h1a4: data = 8'h00;
	11'h1a5: data = 8'h00;
	11'h1a6: data = 8'h00;
	11'h1a7: data = 8'h00;
	11'h1c0: data = 8'h00;
	11'h1c1: data = 8'h00;
	11'h1c2: data = 8'h00;
	11'h1c3: data = 8'h00;
	11'h1c4: data = 8'h00;
	11'h1c5: data = 8'h00;
	11'h1c6: data = 8'h00;
	11'h1c7: data = 8'h00;
	11'h1c8: data = 8'h03;
	11'h1c9: data = 8'h03;
	11'h1ca: data = 8'h03;
	11'h1cb: data = 8'h03;
	11'h1cc: data = 8'h00;
	11'h1cd: data = 8'h00;
	11'h1ce: data = 8'h00;
	11'h1cf: data = 8'h00;
	11'h1d0: data = 8'h00;
	11'h1d1: data = 8'h00;
	11'h1d2: data = 8'h00;
	11'h1d3: data = 8'h00;
	11'h1d4: data = 8'h00;
	11'h1d5: data = 8'h00;
	11'h1d6: data = 8'h00;
	11'h1d7: data = 8'h00;
	11'h1d8: data = 8'h00;
	11'h1d9: data = 8'h00;
	11'h1da: data = 8'h00;
	11'h1db: data = 8'h00;
	11'h1dc: data = 8'h00;
	11'h1dd: data = 8'h00;
	11'h1de: data = 8'h00;
	11'h1df: data = 8'h00;
	11'h1e0: data = 8'h00;
	11'h1e1: data = 8'h00;
	11'h1e2: data = 8'h00;
	11'h1e3: data = 8'h00;
	11'h1e4: data = 8'h00;
	11'h1e5: data = 8'h00;
	11'h1e6: data = 8'h00;
	11'h1e7: data = 8'h00;
	11'h200: data = 8'h00;
	11'h201: data = 8'h00;
	11'h202: data = 8'h00;
	11'h203: data = 8'h00;
	11'h204: data = 8'h00;
	11'h205: data = 8'h00;
	11'h206: data = 8'h00;
	11'h207: data = 8'h00;
	11'h208: data = 8'h03;
	11'h209: data = 8'h03;
	11'h20a: data = 8'h03;
	11'h20b: data = 8'h03;
	11'h20c: data = 8'h00;
	11'h20d: data = 8'h00;
	11'h20e: data = 8'h00;
	11'h20f: data = 8'h00;
	11'h210: data = 8'h00;
	11'h211: data = 8'h00;
	11'h212: data = 8'h00;
	11'h213: data = 8'h00;
	11'h214: data = 8'h00;
	11'h215: data = 8'h00;
	11'h216: data = 8'h00;
	11'h217: data = 8'h00;
	11'h218: data = 8'h00;
	11'h219: data = 8'h00;
	11'h21a: data = 8'h00;
	11'h21b: data = 8'h00;
	11'h21c: data = 8'h00;
	11'h21d: data = 8'h00;
	11'h21e: data = 8'h00;
	11'h21f: data = 8'h00;
	11'h220: data = 8'h00;
	11'h221: data = 8'h00;
	11'h222: data = 8'h00;
	11'h223: data = 8'h00;
	11'h224: data = 8'h00;
	11'h225: data = 8'h00;
	11'h226: data = 8'h00;
	11'h227: data = 8'h00;
	11'h240: data = 8'h00;
	11'h241: data = 8'h00;
	11'h242: data = 8'h00;
	11'h243: data = 8'h00;
	11'h244: data = 8'h00;
	11'h245: data = 8'h00;
	11'h246: data = 8'h00;
	11'h247: data = 8'h00;
	11'h248: data = 8'h03;
	11'h249: data = 8'h03;
	11'h24a: data = 8'h03;
	11'h24b: data = 8'h03;
	11'h24c: data = 8'h00;
	11'h24d: data = 8'h00;
	11'h24e: data = 8'h00;
	11'h24f: data = 8'h00;
	11'h250: data = 8'h00;
	11'h251: data = 8'h00;
	11'h252: data = 8'h00;
	11'h253: data = 8'h00;
	11'h254: data = 8'h00;
	11'h255: data = 8'h00;
	11'h256: data = 8'h00;
	11'h257: data = 8'h00;
	11'h258: data = 8'h00;
	11'h259: data = 8'h00;
	11'h25a: data = 8'h00;
	11'h25b: data = 8'h00;
	11'h25c: data = 8'h00;
	11'h25d: data = 8'h00;
	11'h25e: data = 8'h00;
	11'h25f: data = 8'h00;
	11'h260: data = 8'h00;
	11'h261: data = 8'h00;
	11'h262: data = 8'h00;
	11'h263: data = 8'h00;
	11'h264: data = 8'h00;
	11'h265: data = 8'h00;
	11'h266: data = 8'h00;
	11'h267: data = 8'h00;
	11'h280: data = 8'h00;
	11'h281: data = 8'h00;
	11'h282: data = 8'h00;
	11'h283: data = 8'h00;
	11'h284: data = 8'h00;
	11'h285: data = 8'h00;
	11'h286: data = 8'h00;
	11'h287: data = 8'h00;
	11'h288: data = 8'h03;
	11'h289: data = 8'h03;
	11'h28a: data = 8'h03;
	11'h28b: data = 8'h03;
	11'h28c: data = 8'h00;
	11'h28d: data = 8'h00;
	11'h28e: data = 8'h00;
	11'h28f: data = 8'h00;
	11'h290: data = 8'h00;
	11'h291: data = 8'h00;
	11'h292: data = 8'h00;
	11'h293: data = 8'h00;
	11'h294: data = 8'h00;
	11'h295: data = 8'h00;
	11'h296: data = 8'h00;
	11'h297: data = 8'h00;
	11'h298: data = 8'h00;
	11'h299: data = 8'h03;
	11'h29a: data = 8'h03;
	11'h29b: data = 8'h03;
	11'h29c: data = 8'h03;
	11'h29d: data = 8'h00;
	11'h29e: data = 8'h00;
	11'h29f: data = 8'h00;
	11'h2a0: data = 8'h00;
	11'h2a1: data = 8'h00;
	11'h2a2: data = 8'h00;
	11'h2a3: data = 8'h00;
	11'h2a4: data = 8'h00;
	11'h2a5: data = 8'h00;
	11'h2a6: data = 8'h00;
	11'h2a7: data = 8'h00;
	11'h2c0: data = 8'h00;
	11'h2c1: data = 8'h00;
	11'h2c2: data = 8'h00;
	11'h2c3: data = 8'h00;
	11'h2c4: data = 8'h00;
	11'h2c5: data = 8'h00;
	11'h2c6: data = 8'h00;
	11'h2c7: data = 8'h00;
	11'h2c8: data = 8'h03;
	11'h2c9: data = 8'h03;
	11'h2ca: data = 8'h03;
	11'h2cb: data = 8'h03;
	11'h2cc: data = 8'h00;
	11'h2cd: data = 8'h00;
	11'h2ce: data = 8'h00;
	11'h2cf: data = 8'h00;
	11'h2d0: data = 8'h00;
	11'h2d1: data = 8'h00;
	11'h2d2: data = 8'h00;
	11'h2d3: data = 8'h00;
	11'h2d4: data = 8'h00;
	11'h2d5: data = 8'h00;
	11'h2d6: data = 8'h00;
	11'h2d7: data = 8'h00;
	11'h2d8: data = 8'h00;
	11'h2d9: data = 8'h03;
	11'h2da: data = 8'h03;
	11'h2db: data = 8'h03;
	11'h2dc: data = 8'h03;
	11'h2dd: data = 8'h00;
	11'h2de: data = 8'h00;
	11'h2df: data = 8'h00;
	11'h2e0: data = 8'h00;
	11'h2e1: data = 8'h00;
	11'h2e2: data = 8'h00;
	11'h2e3: data = 8'h00;
	11'h2e4: data = 8'h00;
	11'h2e5: data = 8'h00;
	11'h2e6: data = 8'h00;
	11'h2e7: data = 8'h00;
	11'h300: data = 8'h00;
	11'h301: data = 8'h00;
	11'h302: data = 8'h00;
	11'h303: data = 8'h00;
	11'h304: data = 8'h00;
	11'h305: data = 8'h00;
	11'h306: data = 8'h00;
	11'h307: data = 8'h00;
	11'h308: data = 8'h03;
	11'h309: data = 8'h03;
	11'h30a: data = 8'h03;
	11'h30b: data = 8'h03;
	11'h30c: data = 8'h00;
	11'h30d: data = 8'h00;
	11'h30e: data = 8'h00;
	11'h30f: data = 8'h00;
	11'h310: data = 8'h00;
	11'h311: data = 8'h00;
	11'h312: data = 8'h00;
	11'h313: data = 8'h00;
	11'h314: data = 8'h00;
	11'h315: data = 8'h00;
	11'h316: data = 8'h00;
	11'h317: data = 8'h00;
	11'h318: data = 8'h00;
	11'h319: data = 8'h03;
	11'h31a: data = 8'h03;
	11'h31b: data = 8'h03;
	11'h31c: data = 8'h03;
	11'h31d: data = 8'h00;
	11'h31e: data = 8'h00;
	11'h31f: data = 8'h00;
	11'h320: data = 8'h00;
	11'h321: data = 8'h00;
	11'h322: data = 8'h00;
	11'h323: data = 8'h00;
	11'h324: data = 8'h00;
	11'h325: data = 8'h00;
	11'h326: data = 8'h00;
	11'h327: data = 8'h00;
	11'h340: data = 8'h00;
	11'h341: data = 8'h00;
	11'h342: data = 8'h00;
	11'h343: data = 8'h00;
	11'h344: data = 8'h00;
	11'h345: data = 8'h00;
	11'h346: data = 8'h00;
	11'h347: data = 8'h00;
	11'h348: data = 8'h03;
	11'h349: data = 8'h03;
	11'h34a: data = 8'h03;
	11'h34b: data = 8'h03;
	11'h34c: data = 8'h00;
	11'h34d: data = 8'h00;
	11'h34e: data = 8'h00;
	11'h34f: data = 8'h00;
	11'h350: data = 8'h00;
	11'h351: data = 8'h00;
	11'h352: data = 8'h00;
	11'h353: data = 8'h00;
	11'h354: data = 8'h00;
	11'h355: data = 8'h00;
	11'h356: data = 8'h00;
	11'h357: data = 8'h00;
	11'h358: data = 8'h00;
	11'h359: data = 8'h03;
	11'h35a: data = 8'h03;
	11'h35b: data = 8'h03;
	11'h35c: data = 8'h03;
	11'h35d: data = 8'h00;
	11'h35e: data = 8'h00;
	11'h35f: data = 8'h00;
	11'h360: data = 8'h00;
	11'h361: data = 8'h00;
	11'h362: data = 8'h00;
	11'h363: data = 8'h00;
	11'h364: data = 8'h00;
	11'h365: data = 8'h00;
	11'h366: data = 8'h00;
	11'h367: data = 8'h00;
	11'h380: data = 8'h00;
	11'h381: data = 8'h00;
	11'h382: data = 8'h00;
	11'h383: data = 8'h00;
	11'h384: data = 8'h00;
	11'h385: data = 8'h00;
	11'h386: data = 8'h00;
	11'h387: data = 8'h00;
	11'h388: data = 8'h03;
	11'h389: data = 8'h03;
	11'h38a: data = 8'h03;
	11'h38b: data = 8'h03;
	11'h38c: data = 8'h03;
	11'h38d: data = 8'h03;
	11'h38e: data = 8'h03;
	11'h38f: data = 8'h03;
	11'h390: data = 8'h03;
	11'h391: data = 8'h03;
	11'h392: data = 8'h03;
	11'h393: data = 8'h03;
	11'h394: data = 8'h03;
	11'h395: data = 8'h03;
	11'h396: data = 8'h03;
	11'h397: data = 8'h03;
	11'h398: data = 8'h03;
	11'h399: data = 8'h03;
	11'h39a: data = 8'h03;
	11'h39b: data = 8'h03;
	11'h39c: data = 8'h03;
	11'h39d: data = 8'h03;
	11'h39e: data = 8'h03;
	11'h39f: data = 8'h03;
	11'h3a0: data = 8'h03;
	11'h3a1: data = 8'h00;
	11'h3a2: data = 8'h00;
	11'h3a3: data = 8'h00;
	11'h3a4: data = 8'h00;
	11'h3a5: data = 8'h00;
	11'h3a6: data = 8'h00;
	11'h3a7: data = 8'h00;
	11'h3c0: data = 8'h00;
	11'h3c1: data = 8'h00;
	11'h3c2: data = 8'h00;
	11'h3c3: data = 8'h00;
	11'h3c4: data = 8'h00;
	11'h3c5: data = 8'h00;
	11'h3c6: data = 8'h00;
	11'h3c7: data = 8'h00;
	11'h3c8: data = 8'h03;
	11'h3c9: data = 8'h03;
	11'h3ca: data = 8'h03;
	11'h3cb: data = 8'h03;
	11'h3cc: data = 8'h03;
	11'h3cd: data = 8'h03;
	11'h3ce: data = 8'h03;
	11'h3cf: data = 8'h03;
	11'h3d0: data = 8'h03;
	11'h3d1: data = 8'h03;
	11'h3d2: data = 8'h03;
	11'h3d3: data = 8'h03;
	11'h3d4: data = 8'h03;
	11'h3d5: data = 8'h03;
	11'h3d6: data = 8'h03;
	11'h3d7: data = 8'h03;
	11'h3d8: data = 8'h03;
	11'h3d9: data = 8'h03;
	11'h3da: data = 8'h03;
	11'h3db: data = 8'h03;
	11'h3dc: data = 8'h03;
	11'h3dd: data = 8'h03;
	11'h3de: data = 8'h03;
	11'h3df: data = 8'h03;
	11'h3e0: data = 8'h03;
	11'h3e1: data = 8'h00;
	11'h3e2: data = 8'h00;
	11'h3e3: data = 8'h00;
	11'h3e4: data = 8'h00;
	11'h3e5: data = 8'h00;
	11'h3e6: data = 8'h00;
	11'h3e7: data = 8'h00;
	11'h400: data = 8'h00;
	11'h401: data = 8'h00;
	11'h402: data = 8'h00;
	11'h403: data = 8'h00;
	11'h404: data = 8'h00;
	11'h405: data = 8'h00;
	11'h406: data = 8'h00;
	11'h407: data = 8'h00;
	11'h408: data = 8'h00;
	11'h409: data = 8'h00;
	11'h40a: data = 8'h03;
	11'h40b: data = 8'h03;
	11'h40c: data = 8'h03;
	11'h40d: data = 8'h03;
	11'h40e: data = 8'h00;
	11'h40f: data = 8'h00;
	11'h410: data = 8'h00;
	11'h411: data = 8'h00;
	11'h412: data = 8'h00;
	11'h413: data = 8'h03;
	11'h414: data = 8'h03;
	11'h415: data = 8'h03;
	11'h416: data = 8'h03;
	11'h417: data = 8'h00;
	11'h418: data = 8'h00;
	11'h419: data = 8'h00;
	11'h41a: data = 8'h00;
	11'h41b: data = 8'h00;
	11'h41c: data = 8'h00;
	11'h41d: data = 8'h03;
	11'h41e: data = 8'h03;
	11'h41f: data = 8'h03;
	11'h420: data = 8'h03;
	11'h421: data = 8'h00;
	11'h422: data = 8'h00;
	11'h423: data = 8'h00;
	11'h424: data = 8'h00;
	11'h425: data = 8'h00;
	11'h426: data = 8'h00;
	11'h427: data = 8'h00;
	11'h440: data = 8'h00;
	11'h441: data = 8'h00;
	11'h442: data = 8'h00;
	11'h443: data = 8'h00;
	11'h444: data = 8'h00;
	11'h445: data = 8'h00;
	11'h446: data = 8'h00;
	11'h447: data = 8'h00;
	11'h448: data = 8'h00;
	11'h449: data = 8'h00;
	11'h44a: data = 8'h03;
	11'h44b: data = 8'h03;
	11'h44c: data = 8'h03;
	11'h44d: data = 8'h03;
	11'h44e: data = 8'h00;
	11'h44f: data = 8'h00;
	11'h450: data = 8'h00;
	11'h451: data = 8'h00;
	11'h452: data = 8'h00;
	11'h453: data = 8'h03;
	11'h454: data = 8'h03;
	11'h455: data = 8'h03;
	11'h456: data = 8'h03;
	11'h457: data = 8'h00;
	11'h458: data = 8'h00;
	11'h459: data = 8'h00;
	11'h45a: data = 8'h00;
	11'h45b: data = 8'h00;
	11'h45c: data = 8'h00;
	11'h45d: data = 8'h03;
	11'h45e: data = 8'h03;
	11'h45f: data = 8'h03;
	11'h460: data = 8'h03;
	11'h461: data = 8'h00;
	11'h462: data = 8'h00;
	11'h463: data = 8'h00;
	11'h464: data = 8'h00;
	11'h465: data = 8'h00;
	11'h466: data = 8'h00;
	11'h467: data = 8'h00;
	11'h480: data = 8'h00;
	11'h481: data = 8'h00;
	11'h482: data = 8'h00;
	11'h483: data = 8'h00;
	11'h484: data = 8'h00;
	11'h485: data = 8'h00;
	11'h486: data = 8'h00;
	11'h487: data = 8'h00;
	11'h488: data = 8'h00;
	11'h489: data = 8'h00;
	11'h48a: data = 8'h03;
	11'h48b: data = 8'h03;
	11'h48c: data = 8'h03;
	11'h48d: data = 8'h03;
	11'h48e: data = 8'h00;
	11'h48f: data = 8'h00;
	11'h490: data = 8'h00;
	11'h491: data = 8'h00;
	11'h492: data = 8'h00;
	11'h493: data = 8'h03;
	11'h494: data = 8'h03;
	11'h495: data = 8'h03;
	11'h496: data = 8'h03;
	11'h497: data = 8'h00;
	11'h498: data = 8'h00;
	11'h499: data = 8'h00;
	11'h49a: data = 8'h00;
	11'h49b: data = 8'h00;
	11'h49c: data = 8'h00;
	11'h49d: data = 8'h03;
	11'h49e: data = 8'h03;
	11'h49f: data = 8'h03;
	11'h4a0: data = 8'h03;
	11'h4a1: data = 8'h00;
	11'h4a2: data = 8'h00;
	11'h4a3: data = 8'h00;
	11'h4a4: data = 8'h00;
	11'h4a5: data = 8'h00;
	11'h4a6: data = 8'h00;
	11'h4a7: data = 8'h00;
	11'h4c0: data = 8'h00;
	11'h4c1: data = 8'h00;
	11'h4c2: data = 8'h00;
	11'h4c3: data = 8'h00;
	11'h4c4: data = 8'h00;
	11'h4c5: data = 8'h00;
	11'h4c6: data = 8'h00;
	11'h4c7: data = 8'h00;
	11'h4c8: data = 8'h00;
	11'h4c9: data = 8'h00;
	11'h4ca: data = 8'h03;
	11'h4cb: data = 8'h03;
	11'h4cc: data = 8'h03;
	11'h4cd: data = 8'h03;
	11'h4ce: data = 8'h00;
	11'h4cf: data = 8'h00;
	11'h4d0: data = 8'h00;
	11'h4d1: data = 8'h00;
	11'h4d2: data = 8'h00;
	11'h4d3: data = 8'h03;
	11'h4d4: data = 8'h03;
	11'h4d5: data = 8'h03;
	11'h4d6: data = 8'h03;
	11'h4d7: data = 8'h00;
	11'h4d8: data = 8'h00;
	11'h4d9: data = 8'h00;
	11'h4da: data = 8'h00;
	11'h4db: data = 8'h00;
	11'h4dc: data = 8'h00;
	11'h4dd: data = 8'h03;
	11'h4de: data = 8'h03;
	11'h4df: data = 8'h03;
	11'h4e0: data = 8'h03;
	11'h4e1: data = 8'h00;
	11'h4e2: data = 8'h00;
	11'h4e3: data = 8'h00;
	11'h4e4: data = 8'h00;
	11'h4e5: data = 8'h00;
	11'h4e6: data = 8'h00;
	11'h4e7: data = 8'h00;
	11'h500: data = 8'h00;
	11'h501: data = 8'h00;
	11'h502: data = 8'h00;
	11'h503: data = 8'h00;
	11'h504: data = 8'h00;
	11'h505: data = 8'h00;
	11'h506: data = 8'h00;
	11'h507: data = 8'h00;
	11'h508: data = 8'h00;
	11'h509: data = 8'h00;
	11'h50a: data = 8'h04;
	11'h50b: data = 8'h04;
	11'h50c: data = 8'h04;
	11'h50d: data = 8'h04;
	11'h50e: data = 8'h00;
	11'h50f: data = 8'h00;
	11'h510: data = 8'h00;
	11'h511: data = 8'h00;
	11'h512: data = 8'h00;
	11'h513: data = 8'h04;
	11'h514: data = 8'h04;
	11'h515: data = 8'h04;
	11'h516: data = 8'h04;
	11'h517: data = 8'h00;
	11'h518: data = 8'h00;
	11'h519: data = 8'h00;
	11'h51a: data = 8'h00;
	11'h51b: data = 8'h00;
	11'h51c: data = 8'h00;
	11'h51d: data = 8'h03;
	11'h51e: data = 8'h03;
	11'h51f: data = 8'h03;
	11'h520: data = 8'h03;
	11'h521: data = 8'h00;
	11'h522: data = 8'h00;
	11'h523: data = 8'h00;
	11'h524: data = 8'h00;
	11'h525: data = 8'h00;
	11'h526: data = 8'h00;
	11'h527: data = 8'h00;
	11'h540: data = 8'h00;
	11'h541: data = 8'h00;
	11'h542: data = 8'h00;
	11'h543: data = 8'h00;
	11'h544: data = 8'h00;
	11'h545: data = 8'h00;
	11'h546: data = 8'h00;
	11'h547: data = 8'h00;
	11'h548: data = 8'h00;
	11'h549: data = 8'h00;
	11'h54a: data = 8'h04;
	11'h54b: data = 8'h04;
	11'h54c: data = 8'h04;
	11'h54d: data = 8'h04;
	11'h54e: data = 8'h04;
	11'h54f: data = 8'h00;
	11'h550: data = 8'h00;
	11'h551: data = 8'h00;
	11'h552: data = 8'h04;
	11'h553: data = 8'h04;
	11'h554: data = 8'h04;
	11'h555: data = 8'h04;
	11'h556: data = 8'h04;
	11'h557: data = 8'h00;
	11'h558: data = 8'h00;
	11'h559: data = 8'h00;
	11'h55a: data = 8'h00;
	11'h55b: data = 8'h00;
	11'h55c: data = 8'h00;
	11'h55d: data = 8'h03;
	11'h55e: data = 8'h03;
	11'h55f: data = 8'h03;
	11'h560: data = 8'h03;
	11'h561: data = 8'h00;
	11'h562: data = 8'h00;
	11'h563: data = 8'h00;
	11'h564: data = 8'h00;
	11'h565: data = 8'h00;
	11'h566: data = 8'h00;
	11'h567: data = 8'h00;
	11'h580: data = 8'h00;
	11'h581: data = 8'h00;
	11'h582: data = 8'h00;
	11'h583: data = 8'h00;
	11'h584: data = 8'h00;
	11'h585: data = 8'h00;
	11'h586: data = 8'h00;
	11'h587: data = 8'h00;
	11'h588: data = 8'h00;
	11'h589: data = 8'h00;
	11'h58a: data = 8'h00;
	11'h58b: data = 8'h04;
	11'h58c: data = 8'h04;
	11'h58d: data = 8'h04;
	11'h58e: data = 8'h04;
	11'h58f: data = 8'h04;
	11'h590: data = 8'h04;
	11'h591: data = 8'h04;
	11'h592: data = 8'h04;
	11'h593: data = 8'h04;
	11'h594: data = 8'h04;
	11'h595: data = 8'h04;
	11'h596: data = 8'h00;
	11'h597: data = 8'h00;
	11'h598: data = 8'h00;
	11'h599: data = 8'h00;
	11'h59a: data = 8'h00;
	11'h59b: data = 8'h00;
	11'h59c: data = 8'h00;
	11'h59d: data = 8'h03;
	11'h59e: data = 8'h03;
	11'h59f: data = 8'h03;
	11'h5a0: data = 8'h03;
	11'h5a1: data = 8'h00;
	11'h5a2: data = 8'h00;
	11'h5a3: data = 8'h00;
	11'h5a4: data = 8'h00;
	11'h5a5: data = 8'h00;
	11'h5a6: data = 8'h00;
	11'h5a7: data = 8'h00;
	11'h5c0: data = 8'h00;
	11'h5c1: data = 8'h00;
	11'h5c2: data = 8'h00;
	11'h5c3: data = 8'h00;
	11'h5c4: data = 8'h00;
	11'h5c5: data = 8'h00;
	11'h5c6: data = 8'h00;
	11'h5c7: data = 8'h00;
	11'h5c8: data = 8'h00;
	11'h5c9: data = 8'h00;
	11'h5ca: data = 8'h00;
	11'h5cb: data = 8'h04;
	11'h5cc: data = 8'h04;
	11'h5cd: data = 8'h04;
	11'h5ce: data = 8'h04;
	11'h5cf: data = 8'h04;
	11'h5d0: data = 8'h04;
	11'h5d1: data = 8'h04;
	11'h5d2: data = 8'h04;
	11'h5d3: data = 8'h04;
	11'h5d4: data = 8'h04;
	11'h5d5: data = 8'h04;
	11'h5d6: data = 8'h00;
	11'h5d7: data = 8'h00;
	11'h5d8: data = 8'h00;
	11'h5d9: data = 8'h00;
	11'h5da: data = 8'h00;
	11'h5db: data = 8'h00;
	11'h5dc: data = 8'h00;
	11'h5dd: data = 8'h03;
	11'h5de: data = 8'h03;
	11'h5df: data = 8'h03;
	11'h5e0: data = 8'h03;
	11'h5e1: data = 8'h00;
	11'h5e2: data = 8'h00;
	11'h5e3: data = 8'h00;
	11'h5e4: data = 8'h00;
	11'h5e5: data = 8'h00;
	11'h5e6: data = 8'h00;
	11'h5e7: data = 8'h00;
	11'h600: data = 8'h00;
	11'h601: data = 8'h00;
	11'h602: data = 8'h00;
	11'h603: data = 8'h00;
	11'h604: data = 8'h00;
	11'h605: data = 8'h00;
	11'h606: data = 8'h00;
	11'h607: data = 8'h00;
	11'h608: data = 8'h00;
	11'h609: data = 8'h00;
	11'h60a: data = 8'h00;
	11'h60b: data = 8'h00;
	11'h60c: data = 8'h00;
	11'h60d: data = 8'h00;
	11'h60e: data = 8'h03;
	11'h60f: data = 8'h03;
	11'h610: data = 8'h03;
	11'h611: data = 8'h03;
	11'h612: data = 8'h00;
	11'h613: data = 8'h00;
	11'h614: data = 8'h00;
	11'h615: data = 8'h00;
	11'h616: data = 8'h00;
	11'h617: data = 8'h00;
	11'h618: data = 8'h00;
	11'h619: data = 8'h00;
	11'h61a: data = 8'h00;
	11'h61b: data = 8'h00;
	11'h61c: data = 8'h00;
	11'h61d: data = 8'h03;
	11'h61e: data = 8'h03;
	11'h61f: data = 8'h03;
	11'h620: data = 8'h03;
	11'h621: data = 8'h00;
	11'h622: data = 8'h00;
	11'h623: data = 8'h00;
	11'h624: data = 8'h00;
	11'h625: data = 8'h00;
	11'h626: data = 8'h00;
	11'h627: data = 8'h00;
	11'h640: data = 8'h00;
	11'h641: data = 8'h00;
	11'h642: data = 8'h00;
	11'h643: data = 8'h00;
	11'h644: data = 8'h00;
	11'h645: data = 8'h00;
	11'h646: data = 8'h00;
	11'h647: data = 8'h00;
	11'h648: data = 8'h00;
	11'h649: data = 8'h00;
	11'h64a: data = 8'h00;
	11'h64b: data = 8'h00;
	11'h64c: data = 8'h00;
	11'h64d: data = 8'h00;
	11'h64e: data = 8'h03;
	11'h64f: data = 8'h03;
	11'h650: data = 8'h03;
	11'h651: data = 8'h03;
	11'h652: data = 8'h00;
	11'h653: data = 8'h00;
	11'h654: data = 8'h00;
	11'h655: data = 8'h00;
	11'h656: data = 8'h00;
	11'h657: data = 8'h00;
	11'h658: data = 8'h00;
	11'h659: data = 8'h00;
	11'h65a: data = 8'h00;
	11'h65b: data = 8'h00;
	11'h65c: data = 8'h00;
	11'h65d: data = 8'h03;
	11'h65e: data = 8'h03;
	11'h65f: data = 8'h03;
	11'h660: data = 8'h03;
	11'h661: data = 8'h00;
	11'h662: data = 8'h00;
	11'h663: data = 8'h00;
	11'h664: data = 8'h00;
	11'h665: data = 8'h00;
	11'h666: data = 8'h00;
	11'h667: data = 8'h00;
	11'h680: data = 8'h00;
	11'h681: data = 8'h00;
	11'h682: data = 8'h00;
	11'h683: data = 8'h00;
	11'h684: data = 8'h00;
	11'h685: data = 8'h00;
	11'h686: data = 8'h00;
	11'h687: data = 8'h00;
	11'h688: data = 8'h00;
	11'h689: data = 8'h00;
	11'h68a: data = 8'h00;
	11'h68b: data = 8'h00;
	11'h68c: data = 8'h00;
	11'h68d: data = 8'h00;
	11'h68e: data = 8'h03;
	11'h68f: data = 8'h03;
	11'h690: data = 8'h03;
	11'h691: data = 8'h03;
	11'h692: data = 8'h00;
	11'h693: data = 8'h00;
	11'h694: data = 8'h00;
	11'h695: data = 8'h00;
	11'h696: data = 8'h00;
	11'h697: data = 8'h00;
	11'h698: data = 8'h00;
	11'h699: data = 8'h00;
	11'h69a: data = 8'h00;
	11'h69b: data = 8'h00;
	11'h69c: data = 8'h00;
	11'h69d: data = 8'h03;
	11'h69e: data = 8'h03;
	11'h69f: data = 8'h03;
	11'h6a0: data = 8'h03;
	11'h6a1: data = 8'h00;
	11'h6a2: data = 8'h00;
	11'h6a3: data = 8'h00;
	11'h6a4: data = 8'h00;
	11'h6a5: data = 8'h00;
	11'h6a6: data = 8'h00;
	11'h6a7: data = 8'h00;
	11'h6c0: data = 8'h00;
	11'h6c1: data = 8'h00;
	11'h6c2: data = 8'h00;
	11'h6c3: data = 8'h00;
	11'h6c4: data = 8'h00;
	11'h6c5: data = 8'h00;
	11'h6c6: data = 8'h00;
	11'h6c7: data = 8'h00;
	11'h6c8: data = 8'h00;
	11'h6c9: data = 8'h00;
	11'h6ca: data = 8'h00;
	11'h6cb: data = 8'h00;
	11'h6cc: data = 8'h00;
	11'h6cd: data = 8'h00;
	11'h6ce: data = 8'h03;
	11'h6cf: data = 8'h03;
	11'h6d0: data = 8'h03;
	11'h6d1: data = 8'h03;
	11'h6d2: data = 8'h00;
	11'h6d3: data = 8'h00;
	11'h6d4: data = 8'h00;
	11'h6d5: data = 8'h00;
	11'h6d6: data = 8'h00;
	11'h6d7: data = 8'h00;
	11'h6d8: data = 8'h00;
	11'h6d9: data = 8'h00;
	11'h6da: data = 8'h00;
	11'h6db: data = 8'h00;
	11'h6dc: data = 8'h00;
	11'h6dd: data = 8'h03;
	11'h6de: data = 8'h03;
	11'h6df: data = 8'h03;
	11'h6e0: data = 8'h03;
	11'h6e1: data = 8'h00;
	11'h6e2: data = 8'h00;
	11'h6e3: data = 8'h00;
	11'h6e4: data = 8'h00;
	11'h6e5: data = 8'h00;
	11'h6e6: data = 8'h00;
	11'h6e7: data = 8'h00;
	11'h700: data = 8'h00;
	11'h701: data = 8'h00;
	11'h702: data = 8'h00;
	11'h703: data = 8'h00;
	11'h704: data = 8'h00;
	11'h705: data = 8'h00;
	11'h706: data = 8'h00;
	11'h707: data = 8'h00;
	11'h708: data = 8'h00;
	11'h709: data = 8'h00;
	11'h70a: data = 8'h00;
	11'h70b: data = 8'h00;
	11'h70c: data = 8'h00;
	11'h70d: data = 8'h00;
	11'h70e: data = 8'h03;
	11'h70f: data = 8'h03;
	11'h710: data = 8'h03;
	11'h711: data = 8'h03;
	11'h712: data = 8'h03;
	11'h713: data = 8'h03;
	11'h714: data = 8'h03;
	11'h715: data = 8'h03;
	11'h716: data = 8'h03;
	11'h717: data = 8'h03;
	11'h718: data = 8'h03;
	11'h719: data = 8'h03;
	11'h71a: data = 8'h03;
	11'h71b: data = 8'h03;
	11'h71c: data = 8'h03;
	11'h71d: data = 8'h03;
	11'h71e: data = 8'h03;
	11'h71f: data = 8'h03;
	11'h720: data = 8'h03;
	11'h721: data = 8'h00;
	11'h722: data = 8'h00;
	11'h723: data = 8'h00;
	11'h724: data = 8'h00;
	11'h725: data = 8'h00;
	11'h726: data = 8'h00;
	11'h727: data = 8'h00;
	11'h740: data = 8'h00;
	11'h741: data = 8'h00;
	11'h742: data = 8'h00;
	11'h743: data = 8'h00;
	11'h744: data = 8'h00;
	11'h745: data = 8'h00;
	11'h746: data = 8'h00;
	11'h747: data = 8'h00;
	11'h748: data = 8'h00;
	11'h749: data = 8'h00;
	11'h74a: data = 8'h00;
	11'h74b: data = 8'h00;
	11'h74c: data = 8'h00;
	11'h74d: data = 8'h00;
	11'h74e: data = 8'h03;
	11'h74f: data = 8'h03;
	11'h750: data = 8'h03;
	11'h751: data = 8'h03;
	11'h752: data = 8'h03;
	11'h753: data = 8'h03;
	11'h754: data = 8'h03;
	11'h755: data = 8'h03;
	11'h756: data = 8'h03;
	11'h757: data = 8'h03;
	11'h758: data = 8'h03;
	11'h759: data = 8'h03;
	11'h75a: data = 8'h03;
	11'h75b: data = 8'h03;
	11'h75c: data = 8'h03;
	11'h75d: data = 8'h03;
	11'h75e: data = 8'h03;
	11'h75f: data = 8'h03;
	11'h760: data = 8'h03;
	11'h761: data = 8'h00;
	11'h762: data = 8'h00;
	11'h763: data = 8'h00;
	11'h764: data = 8'h00;
	11'h765: data = 8'h00;
	11'h766: data = 8'h00;
	11'h767: data = 8'h00;
// insert addr_reg and data values before this line
      default: data = 8'h00;
   endcase  
   	       
endmodule      
