//////////////////////////////////////////////////////////////////////////////////
// Design Name: 
// Module Name:    bufe4.v 
// Project Name:   CPU
// Target Devices: 
// Tool versions: 
// Description: Tristate Buffer
//
// Dependencies: 
//
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module bufe4 (enabl, din, dout);
    input enabl; // Tristate Buffer, active high enable
    input [3:0] din;
    output [3:0] dout;  // can not combine output with reg in F4.2

reg [3:0] dout;

always @(enabl or din)
   if (enabl)    //active high enable
      dout = din;
   else begin
      dout[3] = 1'bZ;
      dout[2] = 1'bZ;
      dout[1] = 1'bZ;
      dout[0] = 1'bZ;
        end
endmodule
