////////////////////////////////////////////////////////////////////////////////  
// Module name: vga_cpu4_6.v
////////////////////////////////////////////////////////////////////////////////
//module vga_added_May11
//  (Master_clk, reset, SW, number4, numb4, HEXleft, HEXmiddle, HEXright, ResultOut, 
//   HSYNC, VSYNC, RGB
//   );
////////////////////////////////////////////////////////////////////////////////
module vga_cpu4_6
  (Master_clk, reset, db_clk, CarryOut, 
   SW, number4, 
   hexleft, gBus, A1, B1, C1, C2, D1, 
   Reg0, Reg1, Reg2, state, 
   cntl, buf_en, reg_en, reg_clk,  
   HSYNC, VSYNC, RGB
   );

   input         Master_clk, reset, db_clk, CarryOut;
   input   [3:0] SW, number4, hexleft, gBus, A1, B1, C1, C2, D1; 
   input   [3:0] Reg0, Reg1, Reg2, state;
   input   [2:0] cntl, buf_en, reg_en, reg_clk;
   output        HSYNC, VSYNC;
   output  [7:0] RGB;

   //  Use these locations to display these values.
   //  column position   0123456789abcdef0123456789abcdef01234567
   //  content of line 0             x db_clk   H xxxx state
   //  content of line 1       H xxxx hexleft      xxx cntl
   //  content of line 2                           xxx buf_en
   //  content of line 3                           xxx reg_en
   //  content of line 4                           xxx reg_clk
   //  content of line 5                        H xxxx D1
   //  content of line 6         Buf0             Buf1
   //  content of line 7             H xxxx gBus
   //  content of line 8           Reg0     Reg1      Buf2
   //  content of line 9           xxxx A1  xxxx B1 
   //  content of line a           \   \   /   /
   //  content of line b   xxx cntl \   \ /   /  x CarryOut
   //  content of line c             H xxxx C1
   //  content of line d               Reg2
   //  content of line e             H xxxx C2

   parameter xxx = 8'hff; // 8'hff means no value at this location
   wire   [15:0] cur40x15_y_x;
   reg     [7:0] number8;
   always @ *
   case (cur40x15_y_x)
   //  content of line 0
    16'h00_00 : number8 <= xxx;
     16'h00_01 : number8 <= xxx;
      16'h00_02 : number8 <= xxx;
       16'h00_03 : number8 <= xxx;
        16'h00_04 : number8 <= xxx;
         16'h00_05 : number8 <= xxx;
          16'h00_06 : number8 <= xxx;
           16'h00_07 : number8 <= xxx;
            16'h00_08 : number8 <= xxx;
             16'h00_09 : number8 <= xxx;
              16'h00_0a : number8 <= xxx;
               16'h00_0b : number8 <= xxx;
                16'h00_0c : number8 <= {4'h8,db_clk,3'h0}; // db_clk signal value
                 16'h00_0d : number8 <= xxx;
                  16'h00_0e : number8 <= 8'h64; // d
                   16'h00_0f : number8 <= 8'h62; // b
                    16'h00_10 : number8 <= 8'h5f; // _
                     16'h00_11 : number8 <= 8'h63; // c
                      16'h00_12 : number8 <= 8'h6c; // l
                       16'h00_13 : number8 <= 8'h6b; // k
                        16'h00_14 : number8 <= xxx;
                         16'h00_15 : number8 <= xxx;
                          16'h00_16 : number8 <= xxx;
                           16'h00_17 : number8 <= {4'h0,state}; // state
                            16'h00_18 : number8 <= xxx;
                             16'h00_19 : number8 <= {4'h0,3'h0,state[3]}; // state[3] signal value
                              16'h00_1a : number8 <= {4'h0,3'h0,state[2]}; // state[2] signal value
                               16'h00_1b : number8 <= {4'h0,3'h0,state[1]}; // state[1] signal value
                                16'h00_1c : number8 <= {4'h0,3'h0,state[0]}; // state[0] signal value
                                 16'h00_1d : number8 <= xxx;
                                  16'h00_1e : number8 <= 8'h73; // s
                                   16'h00_1f : number8 <= 8'h74; // t
                                    16'h00_20 : number8 <= 8'h61; // a
                                     16'h00_21 : number8 <= 8'h74; // t
                                      16'h00_22 : number8 <= 8'h65; // e
                                       16'h00_23 : number8 <= xxx;
                                        16'h00_24 : number8 <= xxx;
                                         16'h00_25 : number8 <= xxx;
                                          16'h00_26 : number8 <= xxx;
                                           16'h00_27 : number8 <= xxx;
   //  content of line 1
    16'h01_00 : number8 <= xxx;
     16'h01_01 : number8 <= xxx;
      16'h01_02 : number8 <= xxx;
       16'h01_03 : number8 <= xxx;
        16'h01_04 : number8 <= xxx;
         16'h01_05 : number8 <= xxx;
          16'h01_06 : number8 <= {4'h0,hexleft}; // hexleft
           16'h01_07 : number8 <= xxx;
            16'h01_08 : number8 <= {4'h0,3'h0,hexleft[3]}; // hexleft[3] signal value
             16'h01_09 : number8 <= {4'h0,3'h0,hexleft[2]}; // hexleft[2] signal value
              16'h01_0a : number8 <= {4'h0,3'h0,hexleft[1]}; // hexleft[1] signal value
               16'h01_0b : number8 <= {4'h0,3'h0,hexleft[0]}; // hexleft[0] signal value
                16'h01_0c : number8 <= xxx;
                 16'h01_0d : number8 <= 8'h68; // h
                  16'h01_0e : number8 <= 8'h65; // e
                   16'h01_0f : number8 <= 8'h78; // x
                    16'h01_10 : number8 <= 8'h6c; // l
                     16'h01_11 : number8 <= 8'h65; // e
                      16'h01_12 : number8 <= 8'h66; // f
                       16'h01_13 : number8 <= 8'h74; // t
                        16'h01_14 : number8 <= xxx;
                         16'h01_15 : number8 <= xxx;
                          16'h01_16 : number8 <= xxx;
                           16'h01_17 : number8 <= xxx;
                            16'h01_18 : number8 <= xxx;
                             16'h01_19 : number8 <= xxx;
                              16'h01_1a : number8 <= {4'h0,3'h0,cntl[2]}; // cntl[2] signal value
                               16'h01_1b : number8 <= {4'h0,3'h0,cntl[1]}; // cntl[1] signal value
                                16'h01_1c : number8 <= {4'h0,3'h0,cntl[0]}; // cntl[0] signal value
                                 16'h01_1d : number8 <= xxx;
                                  16'h01_1e : number8 <= 8'h63; // c
                                   16'h01_1f : number8 <= 8'h6e; // n
                                    16'h01_20 : number8 <= 8'h74; // t
                                     16'h01_21 : number8 <= 8'h6c; // l
                                      16'h01_22 : number8 <= xxx;
                                       16'h01_23 : number8 <= xxx;
                                        16'h01_24 : number8 <= xxx;
                                         16'h01_25 : number8 <= xxx;
                                          16'h01_26 : number8 <= xxx;
                                           16'h01_27 : number8 <= xxx;
   //  content of line 2
    16'h02_00 : number8 <= xxx;
     16'h02_01 : number8 <= xxx;
      16'h02_02 : number8 <= xxx;
       16'h02_03 : number8 <= xxx;
        16'h02_04 : number8 <= xxx;
         16'h02_05 : number8 <= xxx;
          16'h02_06 : number8 <= xxx;
           16'h02_07 : number8 <= xxx;
            16'h02_08 : number8 <= xxx;
             16'h02_09 : number8 <= xxx;
              16'h02_0a : number8 <= xxx;
               16'h02_0b : number8 <= xxx;
                16'h02_0c : number8 <= xxx;
                 16'h02_0d : number8 <= xxx;
                  16'h02_0e : number8 <= xxx;
                   16'h02_0f : number8 <= xxx;
                    16'h02_10 : number8 <= xxx;
                     16'h02_11 : number8 <= xxx;
                      16'h02_12 : number8 <= xxx;
                       16'h02_13 : number8 <= xxx;
                        16'h02_14 : number8 <= xxx;
                         16'h02_15 : number8 <= xxx;
                          16'h02_16 : number8 <= xxx;
                           16'h02_17 : number8 <= xxx;
                            16'h02_18 : number8 <= xxx;
                             16'h02_19 : number8 <= xxx;
                              16'h02_1a : number8 <= {4'h0,3'h0,buf_en[2]}; // buf_en[2] signal value
                               16'h02_1b : number8 <= {4'h0,3'h0,buf_en[1]}; // buf_en[1] signal value
                                16'h02_1c : number8 <= {4'h0,3'h0,buf_en[0]}; // buf_en[0] signal value
                                 16'h02_1d : number8 <= xxx;
                                  16'h02_1e : number8 <= 8'h62; // b
                                   16'h02_1f : number8 <= 8'h75; // u
                                    16'h02_20 : number8 <= 8'h66; // f
                                     16'h02_21 : number8 <= 8'h5f; // _
                                      16'h02_22 : number8 <= 8'h65; // e
                                       16'h02_23 : number8 <= 8'h6e; // n
                                        16'h02_24 : number8 <= xxx;
                                         16'h02_25 : number8 <= xxx;
                                          16'h02_26 : number8 <= xxx;
                                           16'h02_27 : number8 <= xxx;
   //  content of line 3
    16'h03_00 : number8 <= xxx;
     16'h03_01 : number8 <= xxx;
      16'h03_02 : number8 <= xxx;
       16'h03_03 : number8 <= xxx;
        16'h03_04 : number8 <= xxx;
         16'h03_05 : number8 <= xxx;
          16'h03_06 : number8 <= xxx;
           16'h03_07 : number8 <= xxx;
            16'h03_08 : number8 <= xxx;
             16'h03_09 : number8 <= xxx;
              16'h03_0a : number8 <= xxx;
               16'h03_0b : number8 <= xxx;
                16'h03_0c : number8 <= xxx;
                 16'h03_0d : number8 <= xxx;
                  16'h03_0e : number8 <= xxx;
                   16'h03_0f : number8 <= xxx;
                    16'h03_10 : number8 <= xxx;
                     16'h03_11 : number8 <= xxx;
                      16'h03_12 : number8 <= xxx;
                       16'h03_13 : number8 <= xxx;
                        16'h03_14 : number8 <= xxx;
                         16'h03_15 : number8 <= xxx;
                          16'h03_16 : number8 <= xxx;
                           16'h03_17 : number8 <= xxx;
                            16'h03_18 : number8 <= xxx;
                             16'h03_19 : number8 <= xxx;
                              16'h03_1a : number8 <= {4'h0,3'h0,reg_en[2]}; // reg_en[2] signal value
                               16'h03_1b : number8 <= {4'h0,3'h0,reg_en[1]}; // reg_en[1] signal value
                                16'h03_1c : number8 <= {4'h0,3'h0,reg_en[0]}; // reg_en[0] signal value
                                 16'h03_1d : number8 <= xxx;
                                  16'h03_1e : number8 <= 8'h72; // r
                                   16'h03_1f : number8 <= 8'h65; // e
                                    16'h03_20 : number8 <= 8'h67; // g
                                     16'h03_21 : number8 <= 8'h5f; // _
                                      16'h03_22 : number8 <= 8'h65; // e
                                       16'h03_23 : number8 <= 8'h6e; // n
                                        16'h03_24 : number8 <= xxx;
                                         16'h03_25 : number8 <= xxx;
                                          16'h03_26 : number8 <= xxx;
                                           16'h03_27 : number8 <= xxx;
   //  content of line 4
    16'h04_00 : number8 <= xxx;
     16'h04_01 : number8 <= xxx;
      16'h04_02 : number8 <= xxx;
       16'h04_03 : number8 <= xxx;
        16'h04_04 : number8 <= xxx;
         16'h04_05 : number8 <= xxx;
          16'h04_06 : number8 <= xxx;
           16'h04_07 : number8 <= xxx;
            16'h04_08 : number8 <= xxx;
             16'h04_09 : number8 <= xxx;
              16'h04_0a : number8 <= xxx;
               16'h04_0b : number8 <= xxx;
                16'h04_0c : number8 <= xxx;
                 16'h04_0d : number8 <= xxx;
                  16'h04_0e : number8 <= xxx;
                   16'h04_0f : number8 <= xxx;
                    16'h04_10 : number8 <= xxx;
                     16'h04_11 : number8 <= xxx;
                      16'h04_12 : number8 <= xxx;
                       16'h04_13 : number8 <= xxx;
                        16'h04_14 : number8 <= xxx;
                         16'h04_15 : number8 <= xxx;
                          16'h04_16 : number8 <= xxx;
                           16'h04_17 : number8 <= xxx;
                            16'h04_18 : number8 <= xxx;
                             16'h04_19 : number8 <= xxx;
                              16'h04_1a : number8 <= {4'h0,3'h0,reg_clk[2]}; // reg_clk[2] signal value
                               16'h04_1b : number8 <= {4'h0,3'h0,reg_clk[1]}; // reg_clk[1] signal value
                                16'h04_1c : number8 <= {4'h0,3'h0,reg_clk[0]}; // reg_clk[0] signal value
                                 16'h04_1d : number8 <= xxx;
                                  16'h04_1e : number8 <= 8'h72; // r
                                   16'h04_1f : number8 <= 8'h65; // e
                                    16'h04_20 : number8 <= 8'h67; // g
                                     16'h04_21 : number8 <= 8'h5f; // _
                                      16'h04_22 : number8 <= 8'h63; // c
                                       16'h04_23 : number8 <= 8'h6c; // l
                                        16'h04_24 : number8 <= 8'h6b; // k
                                         16'h04_25 : number8 <= xxx;
                                          16'h04_26 : number8 <= xxx;
                                           16'h04_27 : number8 <= xxx;
   //  content of line 5
    16'h05_00 : number8 <= xxx;
     16'h05_01 : number8 <= xxx;
      16'h05_02 : number8 <= xxx;
       16'h05_03 : number8 <= xxx;
        16'h05_04 : number8 <= xxx;
         16'h05_05 : number8 <= xxx;
          16'h05_06 : number8 <= xxx;
           16'h05_07 : number8 <= xxx;
            16'h05_08 : number8 <= xxx;
             16'h05_09 : number8 <= xxx;
              16'h05_0a : number8 <= xxx;
               16'h05_0b : number8 <= xxx;
                16'h05_0c : number8 <= xxx;
                 16'h05_0d : number8 <= xxx;
                  16'h05_0e : number8 <= xxx;
                   16'h05_0f : number8 <= xxx;
                    16'h05_10 : number8 <= xxx;
                     16'h05_11 : number8 <= xxx;
                      16'h05_12 : number8 <= xxx;
                       16'h05_13 : number8 <= xxx;
                        16'h05_14 : number8 <= xxx;
                         16'h05_15 : number8 <= xxx;
                          16'h05_16 : number8 <= xxx;
                           16'h05_17 : number8 <= {4'h0,D1}; // D1
                            16'h05_18 : number8 <= xxx;
                             16'h05_19 : number8 <= {4'h0,3'h0,D1[3]}; // D1[3] signal value
                              16'h05_1a : number8 <= {4'h0,3'h0,D1[2]}; // D1[2] signal value
                               16'h05_1b : number8 <= {4'h0,3'h0,D1[1]}; // D1[1] signal value
                                16'h05_1c : number8 <= {4'h0,3'h0,D1[0]}; // D1[0] signal value
                                 16'h05_1d : number8 <= xxx;
                                  16'h05_1e : number8 <= 8'h44; // D
                                   16'h05_1f : number8 <= 8'h31; // 1
                                    16'h05_20 : number8 <= xxx;
                                     16'h05_21 : number8 <= xxx;
                                      16'h05_22 : number8 <= xxx;
                                       16'h05_23 : number8 <= xxx;
                                        16'h05_24 : number8 <= xxx;
                                         16'h05_25 : number8 <= xxx;
                                          16'h05_26 : number8 <= xxx;
                                           16'h05_27 : number8 <= xxx;
//                                           16'h05_27 : number8 <= 8'h8f; // smiley face
   //  content of line 6
    16'h06_00 : number8 <= xxx;
     16'h06_01 : number8 <= xxx;
      16'h06_02 : number8 <= xxx;
       16'h06_03 : number8 <= xxx;
        16'h06_04 : number8 <= xxx;
         16'h06_05 : number8 <= xxx;
          16'h06_06 : number8 <= xxx;
           16'h06_07 : number8 <= xxx;
            16'h06_08 : number8 <= 8'h42; // B
             16'h06_09 : number8 <= 8'h75; // u
              16'h06_0a : number8 <= 8'h66; // f
               16'h06_0b : number8 <= 8'h30; // 0
                16'h06_0c : number8 <= xxx;
                 16'h06_0d : number8 <= xxx;
                  16'h06_0e : number8 <= xxx;
                   16'h06_0f : number8 <= xxx;
                    16'h06_10 : number8 <= xxx;
                     16'h06_11 : number8 <= xxx;
                      16'h06_12 : number8 <= xxx;
                       16'h06_13 : number8 <= xxx;
                        16'h06_14 : number8 <= xxx;
                         16'h06_15 : number8 <= xxx;
                          16'h06_16 : number8 <= xxx;
                           16'h06_17 : number8 <= xxx;
                            16'h06_18 : number8 <= xxx;
                             16'h06_19 : number8 <= 8'h42; // B
                              16'h06_1a : number8 <= 8'h75; // u
                               16'h06_1b : number8 <= 8'h66; // f
                                16'h06_1c : number8 <= 8'h31; // 1
                                 16'h06_1d : number8 <= xxx;
                                  16'h06_1e : number8 <= xxx;
                                   16'h06_1f : number8 <= xxx;
                                    16'h06_20 : number8 <= xxx;
                                     16'h06_21 : number8 <= xxx;
                                      16'h06_22 : number8 <= xxx;
                                       16'h06_23 : number8 <= xxx;
                                        16'h06_24 : number8 <= xxx;
                                         16'h06_25 : number8 <= xxx;
                                          16'h06_26 : number8 <= xxx;
                                           16'h06_27 : number8 <= xxx;
   //  content of line 7
    16'h07_00 : number8 <= xxx;
     16'h07_01 : number8 <= xxx;
      16'h07_02 : number8 <= xxx;
       16'h07_03 : number8 <= xxx;
        16'h07_04 : number8 <= xxx;
         16'h07_05 : number8 <= xxx;
          16'h07_06 : number8 <= xxx;
           16'h07_07 : number8 <= xxx;
            16'h07_08 : number8 <= xxx;
             16'h07_09 : number8 <= xxx;
              16'h07_0a : number8 <= xxx;
               16'h07_0b : number8 <= xxx;
                16'h07_0c : number8 <= {4'h0,gBus}; // gBus
                 16'h07_0d : number8 <= xxx;
                  16'h07_0e : number8 <= {4'h0,3'h0,gBus[3]}; // gBus[3] signal value
                   16'h07_0f : number8 <= {4'h0,3'h0,gBus[2]}; // gBus[2] signal value
                    16'h07_10 : number8 <= {4'h0,3'h0,gBus[1]}; // gBus[1] signal value
                     16'h07_11 : number8 <= {4'h0,3'h0,gBus[0]}; // gBus[0] signal value
                      16'h07_12 : number8 <= xxx;
                       16'h07_13 : number8 <= 8'h67; // g
                        16'h07_14 : number8 <= 8'h42; // B
                         16'h07_15 : number8 <= 8'h75; // u
                          16'h07_16 : number8 <= 8'h73; // s
                           16'h07_17 : number8 <= xxx;
                            16'h07_18 : number8 <= xxx;
                             16'h07_19 : number8 <= xxx;
                              16'h07_1a : number8 <= xxx;
                               16'h07_1b : number8 <= xxx;
                                16'h07_1c : number8 <= xxx;
                                 16'h07_1d : number8 <= xxx;
                                  16'h07_1e : number8 <= xxx;
                                   16'h07_1f : number8 <= xxx;
                                    16'h07_20 : number8 <= xxx;
                                     16'h07_21 : number8 <= xxx;
                                      16'h07_22 : number8 <= xxx;
                                       16'h07_23 : number8 <= xxx;
                                        16'h07_24 : number8 <= xxx;
                                         16'h07_25 : number8 <= xxx;
                                          16'h07_26 : number8 <= xxx;
                                           16'h07_27 : number8 <= xxx;
   //  content of line 8
    16'h08_00 : number8 <= xxx;
     16'h08_01 : number8 <= xxx;
      16'h08_02 : number8 <= xxx;
       16'h08_03 : number8 <= xxx;
        16'h08_04 : number8 <= xxx;
         16'h08_05 : number8 <= xxx;
          16'h08_06 : number8 <= xxx;
           16'h08_07 : number8 <= xxx;
            16'h08_08 : number8 <= xxx;
             16'h08_09 : number8 <= xxx;
              16'h08_0a : number8 <= 8'h52; // R
               16'h08_0b : number8 <= 8'h65; // e
                16'h08_0c : number8 <= 8'h67; // g
                 16'h08_0d : number8 <= 8'h30; // 0
                  16'h08_0e : number8 <= xxx;
                   16'h08_0f : number8 <= xxx;
                    16'h08_10 : number8 <= xxx;
                     16'h08_11 : number8 <= xxx;
                      16'h08_12 : number8 <= xxx;
                       16'h08_13 : number8 <= 8'h52; // R
                        16'h08_14 : number8 <= 8'h65; // e
                         16'h08_15 : number8 <= 8'h67; // g
                          16'h08_16 : number8 <= 8'h31; // 1
                           16'h08_17 : number8 <= xxx;
                            16'h08_18 : number8 <= xxx;
                             16'h08_19 : number8 <= xxx;
                              16'h08_1a : number8 <= xxx;
                               16'h08_1b : number8 <= xxx;
                                16'h08_1c : number8 <= xxx;
                                 16'h08_1d : number8 <= 8'h42; // B
                                  16'h08_1e : number8 <= 8'h75; // u
                                   16'h08_1f : number8 <= 8'h66; // f
                                    16'h08_20 : number8 <= 8'h32; // 2
                                     16'h08_21 : number8 <= xxx;
                                      16'h08_22 : number8 <= xxx;
                                       16'h08_23 : number8 <= xxx;
                                        16'h08_24 : number8 <= xxx;
                                         16'h08_25 : number8 <= xxx;
                                          16'h08_26 : number8 <= xxx;
                                           16'h08_27 : number8 <= xxx;
   //  content of line 9
    16'h09_00 : number8 <= xxx;
     16'h09_01 : number8 <= xxx;
      16'h09_02 : number8 <= xxx;
       16'h09_03 : number8 <= xxx;
        16'h09_04 : number8 <= xxx;
         16'h09_05 : number8 <= xxx;
          16'h09_06 : number8 <= xxx;
           16'h09_07 : number8 <= xxx;
            16'h09_08 : number8 <= xxx;
             16'h09_09 : number8 <= xxx;
              16'h09_0a : number8 <= {4'h0,3'h0,A1[3]}; // A1[3] signal value
               16'h09_0b : number8 <= {4'h0,3'h0,A1[2]}; // A1[2] signal value
                16'h09_0c : number8 <= {4'h0,3'h0,A1[1]}; // A1[1] signal value
                 16'h09_0d : number8 <= {4'h0,3'h0,A1[0]}; // A1[0] signal value
                  16'h09_0e : number8 <= xxx;
                   16'h09_0f : number8 <= 8'h41; // A
                    16'h09_10 : number8 <= 8'h31; // 1
                     16'h09_11 : number8 <= xxx;
                      16'h09_12 : number8 <= xxx;
                       16'h09_13 : number8 <= {4'h0,3'h0,B1[3]}; // B1[3] signal value
                        16'h09_14 : number8 <= {4'h0,3'h0,B1[2]}; // B1[2] signal value
                         16'h09_15 : number8 <= {4'h0,3'h0,B1[1]}; // B1[1] signal value
                          16'h09_16 : number8 <= {4'h0,3'h0,B1[0]}; // B1[0] signal value
                           16'h09_17 : number8 <= xxx;
                            16'h09_18 : number8 <= 8'h42; // B
                             16'h09_19 : number8 <= 8'h31; // 1
                              16'h09_1a : number8 <= xxx;
                               16'h09_1b : number8 <= xxx;
                                16'h09_1c : number8 <= xxx;
                                 16'h09_1d : number8 <= xxx;
                                  16'h09_1e : number8 <= xxx;
                                   16'h09_1f : number8 <= xxx;
                                    16'h09_20 : number8 <= xxx;
                                     16'h09_21 : number8 <= xxx;
                                      16'h09_22 : number8 <= xxx;
                                       16'h09_23 : number8 <= xxx;
                                        16'h09_24 : number8 <= xxx;
                                         16'h09_25 : number8 <= xxx;
                                          16'h09_26 : number8 <= xxx;
                                           16'h09_27 : number8 <= xxx;
   //  content of line a
    16'h0a_00 : number8 <= xxx;
     16'h0a_01 : number8 <= xxx;
      16'h0a_02 : number8 <= xxx;
       16'h0a_03 : number8 <= xxx;
        16'h0a_04 : number8 <= xxx;
         16'h0a_05 : number8 <= xxx;
          16'h0a_06 : number8 <= xxx;
           16'h0a_07 : number8 <= xxx;
            16'h0a_08 : number8 <= xxx;
             16'h0a_09 : number8 <= xxx;
              16'h0a_0a : number8 <= 8'h5c; // \backslash
               16'h0a_0b : number8 <= xxx;
                16'h0a_0c : number8 <= xxx;
                 16'h0a_0d : number8 <= xxx;
                  16'h0a_0e : number8 <= 8'h5c; // \backslash
                   16'h0a_0f : number8 <= xxx;
                    16'h0a_10 : number8 <= xxx;
                     16'h0a_11 : number8 <= xxx;
                      16'h0a_12 : number8 <= 8'h2f; // /forwardslash
                       16'h0a_13 : number8 <= xxx;
                        16'h0a_14 : number8 <= xxx;
                         16'h0a_15 : number8 <= xxx;
                          16'h0a_16 : number8 <= 8'h2f; // /forwardslash
                           16'h0a_17 : number8 <= xxx;
                            16'h0a_18 : number8 <= xxx;
                             16'h0a_19 : number8 <= xxx;
                              16'h0a_1a : number8 <= xxx;
                               16'h0a_1b : number8 <= xxx;
                                16'h0a_1c : number8 <= xxx;
                                 16'h0a_1d : number8 <= xxx;
                                  16'h0a_1e : number8 <= xxx;
                                   16'h0a_1f : number8 <= xxx;
                                    16'h0a_20 : number8 <= xxx;
                                     16'h0a_21 : number8 <= xxx;
                                      16'h0a_22 : number8 <= xxx;
                                       16'h0a_23 : number8 <= xxx;
                                        16'h0a_24 : number8 <= xxx;
                                         16'h0a_25 : number8 <= xxx;
                                          16'h0a_26 : number8 <= xxx;
                                           16'h0a_27 : number8 <= xxx;
   //  content of line b
    16'h0b_00 : number8 <= xxx;
     16'h0b_01 : number8 <= xxx;
      16'h0b_02 : number8 <= {4'h0,3'h0,cntl[2]}; // cntl[2] signal value
       16'h0b_03 : number8 <= {4'h0,3'h0,cntl[1]}; // cntl[1] signal value
        16'h0b_04 : number8 <= {4'h0,3'h0,cntl[0]}; // cntl[0] signal value
         16'h0b_05 : number8 <= xxx;
          16'h0b_06 : number8 <= 8'h63; // c
           16'h0b_07 : number8 <= 8'h6e; // n
            16'h0b_08 : number8 <= 8'h74; // t
             16'h0b_09 : number8 <= 8'h6c; // l
              16'h0b_0a : number8 <= xxx;
               16'h0b_0b : number8 <= 8'h5c; // \backslash
                16'h0b_0c : number8 <= xxx;
                 16'h0b_0d : number8 <= xxx;
                  16'h0b_0e : number8 <= xxx;
                   16'h0b_0f : number8 <= 8'h5c; // \backslash
                    16'h0b_10 : number8 <= xxx;
                     16'h0b_11 : number8 <= 8'h2f; // /forwardslash
                      16'h0b_12 : number8 <= xxx;
                       16'h0b_13 : number8 <= xxx;
                        16'h0b_14 : number8 <= xxx;
                         16'h0b_15 : number8 <= 8'h2f; // /forwardslash
                          16'h0b_16 : number8 <= xxx;
                           16'h0b_17 : number8 <= xxx;
                            16'h0b_18 : number8 <= {4'h0,3'h0,CarryOut}; // CarryOut
                             16'h0b_19 : number8 <= xxx;
                              16'h0b_1a : number8 <= 8'h43; // C
                               16'h0b_1b : number8 <= 8'h61; // a
                                16'h0b_1c : number8 <= 8'h72; // r
                                 16'h0b_1d : number8 <= 8'h72; // r
                                  16'h0b_1e : number8 <= 8'h79; // y
                                   16'h0b_1f : number8 <= 8'h4f; // O
                                    16'h0b_20 : number8 <= 8'h75; // u
                                     16'h0b_21 : number8 <= 8'h74; // t
                                      16'h0b_22 : number8 <= xxx;
                                       16'h0b_23 : number8 <= xxx;
                                        16'h0b_24 : number8 <= xxx;
                                         16'h0b_25 : number8 <= xxx;
                                          16'h0b_26 : number8 <= xxx;
                                           16'h0b_27 : number8 <= xxx;
   //  content of line c
    16'h0c_00 : number8 <= xxx;
     16'h0c_01 : number8 <= xxx;
      16'h0c_02 : number8 <= xxx;
       16'h0c_03 : number8 <= xxx;
        16'h0c_04 : number8 <= xxx;
         16'h0c_05 : number8 <= xxx;
          16'h0c_06 : number8 <= xxx;
           16'h0c_07 : number8 <= xxx;
            16'h0c_08 : number8 <= xxx;
             16'h0c_09 : number8 <= xxx;
              16'h0c_0a : number8 <= xxx;
               16'h0c_0b : number8 <= xxx;
                16'h0c_0c : number8 <= {4'h0,C1}; // C1
                 16'h0c_0d : number8 <= xxx;
                  16'h0c_0e : number8 <= {4'h0,3'h0,C1[3]}; // C1[3] signal value
                   16'h0c_0f : number8 <= {4'h0,3'h0,C1[2]}; // C1[2] signal value
                    16'h0c_10 : number8 <= {4'h0,3'h0,C1[1]}; // C1[1] signal value
                     16'h0c_11 : number8 <= {4'h0,3'h0,C1[0]}; // C1[0] signal value
                      16'h0c_12 : number8 <= xxx;
                       16'h0c_13 : number8 <= 8'h43; // C
                        16'h0c_14 : number8 <= 8'h31; // 1
                         16'h0c_15 : number8 <= xxx;
                          16'h0c_16 : number8 <= xxx;
                           16'h0c_17 : number8 <= xxx;
                            16'h0c_18 : number8 <= xxx;
                             16'h0c_19 : number8 <= xxx;
                              16'h0c_1a : number8 <= xxx;
                               16'h0c_1b : number8 <= xxx;
                                16'h0c_1c : number8 <= xxx;
                                 16'h0c_1d : number8 <= xxx;
                                  16'h0c_1e : number8 <= xxx;
                                   16'h0c_1f : number8 <= xxx;
                                    16'h0c_20 : number8 <= xxx;
                                     16'h0c_21 : number8 <= xxx;
                                      16'h0c_22 : number8 <= xxx;
                                       16'h0c_23 : number8 <= xxx;
                                        16'h0c_24 : number8 <= xxx;
                                         16'h0c_25 : number8 <= xxx;
                                          16'h0c_26 : number8 <= xxx;
                                           16'h0c_27 : number8 <= xxx;
   //  content of line d
    16'h0d_00 : number8 <= xxx;
     16'h0d_01 : number8 <= xxx;
      16'h0d_02 : number8 <= xxx;
       16'h0d_03 : number8 <= xxx;
        16'h0d_04 : number8 <= xxx;
         16'h0d_05 : number8 <= xxx;
          16'h0d_06 : number8 <= xxx;
           16'h0d_07 : number8 <= xxx;
            16'h0d_08 : number8 <= xxx;
             16'h0d_09 : number8 <= xxx;
              16'h0d_0a : number8 <= xxx;
               16'h0d_0b : number8 <= xxx;
                16'h0d_0c : number8 <= xxx;
                 16'h0d_0d : number8 <= xxx;
                  16'h0d_0e : number8 <= 8'h52; // R
                   16'h0d_0f : number8 <= 8'h65; // e
                    16'h0d_10 : number8 <= 8'h67; // g
                     16'h0d_11 : number8 <= 8'h32; // 2
                      16'h0d_12 : number8 <= xxx;
                       16'h0d_13 : number8 <= xxx;
                        16'h0d_14 : number8 <= xxx;
                         16'h0d_15 : number8 <= xxx;
                          16'h0d_16 : number8 <= xxx;
                           16'h0d_17 : number8 <= xxx;
                            16'h0d_18 : number8 <= xxx;
                             16'h0d_19 : number8 <= xxx;
                              16'h0d_1a : number8 <= xxx;
                               16'h0d_1b : number8 <= xxx;
                                16'h0d_1c : number8 <= xxx;
                                 16'h0d_1d : number8 <= xxx;
                                  16'h0d_1e : number8 <= xxx;
                                   16'h0d_1f : number8 <= xxx;
                                    16'h0d_20 : number8 <= xxx;
                                     16'h0d_21 : number8 <= xxx;
                                      16'h0d_22 : number8 <= xxx;
                                       16'h0d_23 : number8 <= xxx;
                                        16'h0d_24 : number8 <= xxx;
                                         16'h0d_25 : number8 <= xxx;
                                          16'h0d_26 : number8 <= xxx;
                                           16'h0d_27 : number8 <= xxx;
   //  content of line e
    16'h0e_00 : number8 <= xxx;
     16'h0e_01 : number8 <= xxx;
      16'h0e_02 : number8 <= xxx;
       16'h0e_03 : number8 <= xxx;
        16'h0e_04 : number8 <= xxx;
         16'h0e_05 : number8 <= xxx;
          16'h0e_06 : number8 <= xxx;
           16'h0e_07 : number8 <= xxx;
            16'h0e_08 : number8 <= xxx;
             16'h0e_09 : number8 <= xxx;
              16'h0e_0a : number8 <= xxx;
               16'h0e_0b : number8 <= xxx;
                16'h0e_0c : number8 <= {4'h0,C2}; // C2
                 16'h0e_0d : number8 <= xxx;
                  16'h0e_0e : number8 <= {4'h0,3'h0,C2[3]}; // C2[3] signal value
                   16'h0e_0f : number8 <= {4'h0,3'h0,C2[2]}; // C2[2] signal value
                    16'h0e_10 : number8 <= {4'h0,3'h0,C2[1]}; // C2[1] signal value
                     16'h0e_11 : number8 <= {4'h0,3'h0,C2[0]}; // C2[0] signal value
                      16'h0e_12 : number8 <= xxx;
                       16'h0e_13 : number8 <= 8'h43; // C
                        16'h0e_14 : number8 <= 8'h32; // 2
                         16'h0e_15 : number8 <= xxx;
                          16'h0e_16 : number8 <= xxx;
                           16'h0e_17 : number8 <= xxx;
                            16'h0e_18 : number8 <= xxx;
                             16'h0e_19 : number8 <= xxx;
                              16'h0e_1a : number8 <= xxx;
                               16'h0e_1b : number8 <= xxx;
                                16'h0e_1c : number8 <= xxx;
                                 16'h0e_1d : number8 <= xxx;
                                  16'h0e_1e : number8 <= xxx;
                                   16'h0e_1f : number8 <= xxx;
                                    16'h0e_20 : number8 <= xxx;
                                     16'h0e_21 : number8 <= xxx;
                                      16'h0e_22 : number8 <= xxx;
                                       16'h0e_23 : number8 <= xxx;
                                        16'h0e_24 : number8 <= xxx;
                                         16'h0e_25 : number8 <= xxx;
                                          16'h0e_26 : number8 <= xxx;
                                           16'h0e_27 : number8 <= xxx;

     default:  number8 <= xxx; // no value at this location
   endcase

   // instantiate VGA display module, needed wires first
   vga_layers15Jly11  VGA_LAYERS
      (.Master_clk(Master_clk), .reset(reset),
//       .SW(SW), SW not used for cpu4
//       .stopkey(stopkey), stopkey not used for cpu4
//       .ascii_kb_tran(8'h20), // kbd_anton3ascii, hex_or_ascii not used for cpu4
//       .arrow(6'h0), // arrow not used for cpu4
       .number8(number8),
       .cur40x15_y_x(cur40x15_y_x),
       .HSYNC(HSYNC), .VSYNC(VSYNC), .RGB(RGB));

/*
   // instantiate VGA display module, needed wires first
   wire  [47:0] rectangle01, rectangle02;
   //                    start_x, start_y, width,   height,  color
   assign rectangle01 = {10'd210, 10'd300, 10'd050, 10'd050, 8'b111_110_00};
   assign rectangle02 = {10'd240, 10'd330, 10'd015, 10'd030, 8'b000_010_11};
   //
   vga_layers_May11  VGA_LAYERS
      (.Master_clk(Master_clk), .reset(reset),
       .SW(SW),
       .number8(number8),
       .rectangle01(rectangle01),
       .rectangle02(rectangle02),
       .cur20x7_y_x(cur20x7_y_x),
       .HSYNC(HSYNC), .VSYNC(VSYNC), .RGB(RGB));
*/


endmodule
